﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Program4_10
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            double calory, gram;
            if (double.TryParse(textBox1.Text, out calory) && double.TryParse(textBox2.Text, out gram))
            {
                if (calory <= 0 || gram <= 0) 
                {
                    MessageBox.Show("The number of calories and fat grams must be larger than 0.");
                }
                else
                {
                    if (gram * 9 > calory)
                    {
                        MessageBox.Show("Either the calories or fat grams were incorrectly entered.");
                    }
                    else
                    {
                        label3.Text = "The number of calories from fat: " + gram * 9 + "\n" +
                                      "Prcentage of calories from fat: " + (gram * 9 / calory) * 100 + "%\n";

                        if (checkBox1.Checked)
                        {
                            if (gram * 9 / calory < 0.3)
                            {
                                label3.Text += "The food is considered low fat.";
                            }
                            else
                            {
                                label3.Text += "The food is NOT considered low fat.";
                            }
                        }
                    }
                }
            }
        }
    }
}
